Bug 730640 - Reinserting TP-Link TL-WN321G (rt2800usb) causes endless log messages
Summary: Reinserting TP-Link TL-WN321G (rt2800usb) causes endless log messages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 08:01 UTC by Turgut Kalfaoglu
Modified: 2012-07-11 17:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 17:49:56 UTC


Attachments (Terms of Use)

Description Turgut Kalfaoglu 2011-08-15 08:01:37 UTC
When I initially inserted the TP-Link Wifi adaptor to my ASUS 1215N (usb 3) , it worked fine. However, after I removed and re-inserted it, I got tonns of error messages, looking like:

Aug 15 11:00:24 tknetbook kernel: [ 6440.286099] hub 6-0:1.0: unable to enumerate USB device on port 1
Aug 15 11:00:25 tknetbook kernel: [ 6440.720086] usb 6-1: new full speed USB device number 56 using xhci_hcd
Aug 15 11:00:25 tknetbook kernel: [ 6440.720185] usb 6-1: Device not responding to set address.
Aug 15 11:00:25 tknetbook kernel: [ 6440.921183] usb 6-1: Device not responding to set address.
Aug 15 11:00:25 tknetbook kernel: [ 6441.122049] usb 6-1: device not accepting address 56, error -71
Aug 15 11:00:25 tknetbook kernel: [ 6441.173098] hub 6-0:1.0: unable to enumerate USB device on port 1
Aug 15 11:00:31 tknetbook kernel: [ 6447.150071] usb 6-2: new high speed USB device number 58 using xhci_hcd
Aug 15 11:00:31 tknetbook kernel: [ 6447.173900] xhci_hcd 0000:01:00.0: WARN: short transfer on control ep
Aug 15 11:00:31 tknetbook kernel: [ 6447.177517] xhci_hcd 0000:01:00.0: WARN: short transfer on control ep
Aug 15 11:00:31 tknetbook kernel: [ 6447.179534] xhci_hcd 0000:01:00.0: WARN: short transfer on control ep
Aug 15 11:00:31 tknetbook kernel: [ 6447.180891] xhci_hcd 0000:01:00.0: WARN: short transfer on control ep
Aug 15 11:00:31 tknetbook kernel: [ 6447.181048] usb 6-2: New USB device found, idVendor=148f, idProduct=2070
Aug 15 11:00:31 tknetbook kernel: [ 6447.181058] usb 6-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Aug 15 11:00:31 tknetbook kernel: [ 6447.181067] usb 6-2: Product: 802.11 g WLAN
Aug 15 11:00:31 tknetbook kernel: [ 6447.181073] usb 6-2: Manufacturer: Ralink
Aug 15 11:00:31 tknetbook kernel: [ 6447.181079] usb 6-2: SerialNumber: 1.0
Aug 15 11:00:31 tknetbook kernel: [ 6447.197917] xhci_hcd 0000:01:00.0: WARN: short transfer on control ep
Aug 15 11:00:31 tknetbook mtp-probe: checking bus 6, device 58: "/sys/devices/pci0000:00/0000:00:1c.3/0000:01:00.0/usb6/6-2"
Aug 15 11:00:32 tknetbook mtp-probe: bus: 6, device: 58 was not an MTP device
Aug 15 11:00:32 tknetbook NetworkManager[724]: <info> found WiFi radio killswitch rfkill16 (at /sys/devices/pci0000:00/0000:00:1c.3/0000:01:00.0/usb6/6-2/6-2:1.0/ieee80211/phy15/rfkill16) (driver (unknown))
Aug 15 11:00:32 tknetbook NetworkManager[724]: <info> (wlan1): driver supports SSID scans (scan_capa 0x01).
Aug 15 11:00:32 tknetbook NetworkManager[724]: <info> (wlan1): new 802.11 WiFi device (driver: 'rt2800usb' ifindex: 20)
Aug 15 11:00:32 tknetbook NetworkManager[724]: <info> (wlan1): exported as /org/freedesktop/NetworkManager/Devices/16
Aug 15 11:00:32 tknetbook NetworkManager[724]: <info> (wlan1): now managed
Aug 15 11:00:32 tknetbook NetworkManager[724]: <info> (wlan1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Aug 15 11:00:32 tknetbook NetworkManager[724]: <info> (wlan1): bringing up device.
Aug 15 11:00:32 tknetbook kernel: [ 6447.637765] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637778] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637788] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637796] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637805] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637813] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637821] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637829] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637838] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637846] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637854] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637862] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637870] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637878] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
Aug 15 11:00:32 tknetbook kernel: [ 6447.637886] xhci_hcd 0000:01:00.0: ERROR no room on ep ring
(repeats hundreds of times)

Comment 1 Turgut Kalfaoglu 2011-08-15 08:03:48 UTC
Update: It now appears to work despite the hundreds of messages?

Comment 2 Josh Boyer 2012-06-06 17:40:31 UTC
Not sure which kernel you originally saw this with, but are you seeing it with 2.6.43/3.3?

Comment 3 Josh Boyer 2012-07-11 17:49:56 UTC
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.


Note You need to log in before you can comment on or make changes to this bug.